com.smartgwt.client.widgets.viewer

## Class DetailViewerRecord

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Record
        - - com.smartgwt.client.widgets.viewer.DetailViewerRecord

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    TileRecord

      public class DetailViewerRecord
      extends Record

  A DetailViewerRecord is an object literal with properties that define the values for the various fields of a `DetailViewer`.

  For example a DetailViewer that defines the following fields:

        fields : [
            {name: "field1"},
            {name: "field2"}
        ],

  Might have the following data:

        data : [
            {field1: "foo", field2: "bar"},
            {field1: "field1 value", field2: "field2 value"}
        ]

  Each element in the data array above is an instance of DetailViewerRecord - notice that these are specified simply as object literals with properties.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailViewerRecord()`
    `DetailViewerRecord(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkText()` The HTML to display in this record for fields with type set to "link".
    `static DetailViewerRecord` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setLinkText(java.lang.String linkText)` The HTML to display in this record for fields with type set to "link".

    - ### Methods inherited from class com.smartgwt.client.data.Record

      `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailViewerRecord

          public DetailViewerRecord()

    - #### DetailViewerRecord

          public DetailViewerRecord(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DetailViewerRecord getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setLinkText

          public void setLinkText(java.lang.String linkText)

      The HTML to display in this record for fields with type set to "link". This overrides `DetailViewerField.linkText`.
      Parameters:
        `linkText` - New linkText value. Default value is null
      See Also:
        `DetailViewerField.setType(java.lang.String)`, `DetailViewerField.setLinkText(java.lang.String)`, `DetailViewer.setLinkTextProperty(java.lang.String)`

    - #### getLinkText

          public java.lang.String getLinkText()

      The HTML to display in this record for fields with type set to "link". This overrides `DetailViewerField.linkText`.
      Returns:
        Current linkText value. Default value is null
      See Also:
        `DetailViewerField.getType()`, `DetailViewerField.getLinkText()`, `DetailViewer.getLinkTextProperty()`